Author Topic: Filedia problem with sectionplanetoblock  (Read 1294 times)

0 Members and 1 Guest are viewing this topic.

nekonihonjin

  • Newt
  • Posts: 103
Filedia problem with sectionplanetoblock
« on: March 01, 2016, 12:13:18 PM »
Good day everyone.

I'm trying to make a small routine that will get cross sections with "sectionplanetoblock" command
But even when I set the variable FILEDIA to 0, the dialog box still pops up
Is there a way to avoid this?

The idea is ask for the section plane and the point of insertion, and then with this data perform the command automatically

Code: [Select]
(defun c:transv ()

(command "_filedia" 0)
(prompt "\nSeleciona plano de sección")
(setq plano (ssget))
(setq insert (getpoint "\nPunto de inserción: "))
(command "_sectionplanetoblock" plano "" insert "" "" "")  ;this is a guess
(command "_filedia" 1)
(princ)
)


The main idea is, if this above is possible, find the way to select several section planes and cycle them to obtain several sections at the same time.

« Last Edit: March 01, 2016, 01:36:26 PM by nekonihonjin »